gtkmm 2.4: Gdk::Rectangle Class Reference

Main Page Widgets Namespaces Book

# Gdk::Rectangle Class Reference

List of all members.

## Detailed Description

Gdk::Rectangle is a structure holding the position and size of a rectangle.

The intersection of two rectangles can be computed with intersect(). To find the union of two rectangles use union().

## Public Member Functions
int | get_height () const
int | get_width () const
int | get_x () const
int | get_y () const
const GdkRectangle* | gobj () const
| Provides access to the underlying C instance.
GdkRectangle* | gobj ()
| Provides access to the underlying C instance.
bool | has_zero_area () const
Rectangle& | intersect (const Rectangle& src2, bool& rectangles_intersect)
Rectangle& | intersect (const Rectangle& src2)
Rectangle& | join (const Rectangle& src2)
| Rectangle (int x, int y, int width, int height)
| Rectangle (const GdkRectangle* gobject)
| Rectangle ()
void | set_height (const int& value)
void | set_width (const int& value)
void | set_x (const int& value)
void | set_y (const int& value)
## Protected Attributes
GdkRectangle | gobject_
## Related Functions
(Note that these are not member functions.)
const Gdk::Rectangle& | wrap (const GdkRectangle* object)
Gdk::Rectangle& | wrap (GdkRectangle* object)

## Constructor & Destructor Documentation

Gdk::Rectangle::Rectangle | ( |  | ) |

Gdk::Rectangle::Rectangle | ( | const GdkRectangle* | gobject | ) | `[explicit]`

Gdk::Rectangle::Rectangle | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

## Member Function Documentation

int Gdk::Rectangle::get_height | ( |  | ) | const

int Gdk::Rectangle::get_width | ( |  | ) | const

int Gdk::Rectangle::get_x | ( |  | ) | const

int Gdk::Rectangle::get_y | ( |  | ) | const

const GdkRectangle* Gdk::Rectangle::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

GdkRectangle* Gdk::Rectangle::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

bool Gdk::Rectangle::has_zero_area | ( |  | ) | const

Rectangle& Gdk::Rectangle::intersect | ( | const Rectangle& | src2,
|  | bool& | rectangles_intersect
| ) |

Rectangle& Gdk::Rectangle::intersect | ( | const Rectangle& | src2 | ) |

Rectangle& Gdk::Rectangle::join | ( | const Rectangle& | src2 | ) |

void Gdk::Rectangle::set_height | ( | const int& | value | ) |

void Gdk::Rectangle::set_width | ( | const int& | value | ) |

void Gdk::Rectangle::set_x | ( | const int& | value | ) |

void Gdk::Rectangle::set_y | ( | const int& | value | ) |

## Friends And Related Function Documentation

const Gdk::Rectangle& wrap | ( | const GdkRectangle* | object | ) | `[related]`

  | Parameters:
  | object | The C instance
Returns: A C++ instance that wraps this C instance.

Gdk::Rectangle& wrap | ( | GdkRectangle* | object | ) | `[related]`

  | Parameters:
  | object | The C instance
Returns: A C++ instance that wraps this C instance.

## Member Data Documentation

GdkRectangle Gdk::Rectangle::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gdk/gdkmm/rectangle.h